List Latest Container Runtime Baseline Fingerprints
curl -X GET "https://api.prd.rad.security/accounts/example_string/container_runtime_latest_baseline_fingerprints?filters=example_string&q=example_string&page=25&page_size=25&sort=example_string&children_limit=100" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/container_runtime_latest_baseline_fingerprints?filters=example_string&q=example_string&page=25&page_size=25&sort=example_string&children_limit=100"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/container_runtime_latest_baseline_fingerprints?filters=example_string&q=example_string&page=25&page_size=25&sort=example_string&children_limit=100", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/container_runtime_latest_baseline_fingerprints?filters=example_string&q=example_string&page=25&page_size=25&sort=example_string&children_limit=100", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/container_runtime_latest_baseline_fingerprints?filters=example_string&q=example_string&page=25&page_size=25&sort=example_string&children_limit=100')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"entries": [
{
"account_id": "example_string",
"created_at": "example_string",
"created_by": "example_string",
"fingerprint": {
"apiVersion": "example_string",
"containers": [
{
"id": "example_string",
"imageDigest": "example_string",
"imageName": "John Doe",
"name": "John Doe",
"processes": [
{
"children": [
{}
],
"connections": [
{
"address": "123 Main St",
"drift": true,
"hostname": "John Doe",
"k8sName": "John Doe",
"k8sNamespace": "John Doe",
"port": 42,
"timestamp": "example_string",
"trustedCIDR": "example_string"
}
],
"drift": true,
"files": [
{
"drift": true,
"path": "example_string",
"timestamp": "example_string"
}
],
"gid": 123,
"id": "example_string",
"parentId": "example_string",
"programs": [
{
"args": [
"example_string"
],
"comm": "example_string",
"drift": true,
"hasPattern": true,
"sampleArgs": [
[
"example_string"
]
],
"timestamp": "example_string"
}
],
"repetition": {
"execCount": 10,
"recentTimestamp": "example_string"
},
"timestamp": "example_string",
"trustedIPPrefixes": [
{
"cidr": "example_string",
"name": "John Doe",
"port": 42
}
],
"uid": 123
}
]
}
],
"kind": "example_string",
"metadata": {
"creationTimestamp": "example_string"
}
},
"id": "example_string",
"image_name": "John Doe",
"notes": "example_string"
}
],
"page": 25,
"page_count": 25,
"page_size": 25,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/container_runtime_latest_baseline_fingerprintsGET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount id
query
filtersstring
Filters
query
qstring
Query string to filter fingerprints
query
pageinteger
Page number starting from 1
query
page_sizeinteger
Page size. Default: 50
query
sortstring
Sort by field. Default: created_at:desc
query
children_limitinteger
Children limit
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount id
Query Parameters
filtersstring
Filters
qstring
Query string to filter fingerprints
pageinteger
Page number starting from 1
page_sizeinteger
Page size. Default: 50
sortstring
Sort by field. Default: created_at:desc
children_limitinteger
Children limit
Responses
entriesarray
pageinteger
page_countinteger
page_sizeinteger
total_countinteger
Was this page helpful?